Delete __GLASGOW_HASKELL__ ifdefs for stage0 < 7.8
ClosedPublic

Authored by thomie on May 25 2015, 8:03 AM.

Diff Detail

Repository
rGHC Glasgow Haskell Compiler
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
thomie updated this revision to Diff 2989.May 25 2015, 8:03 AM
thomie retitled this revision from to Delete __GLASGOW_HASKELL__ ifdefs for stage0 < 7.8.
thomie updated this object.
thomie edited the test plan for this revision. (Show Details)

I guess Harbormaster needs to be upgraded to GHC 7.8 for this to go through.

austin requested changes to this revision.May 27 2015, 9:54 AM
austin edited edge metadata.

Yeah, this one is on me. I need to upgrade the build machine to Jessie; I'll try to get to it today.

This revision now requires changes to proceed.May 27 2015, 9:54 AM
thomie updated this revision to Diff 3597.Jul 20 2015, 5:19 AM
thomie edited edge metadata.

Rebase

jstolarek in D202 says that "Austin says that Harbormaster uses GHC 7.8.4".

bgamari edited edge metadata.Jul 21 2015, 2:36 AM

In principle I've fixed the Phabricator issue. I've restarted the build; we'll see what happens.

bgamari accepted this revision.Jul 21 2015, 3:39 AM
bgamari edited edge metadata.

Brilliant, looks like this works.

This revision was automatically updated to reflect the committed changes.